package
{
	import org.flixel.*;
	public class TitleState extends FlxState
	{
		override public function create():void
		{
			FlxG.playMusic(GameState.SndMusic);
			bgColor = 0xFFEEEEFF;
			var title:FlxText = new FlxText(0,50,FlxG.width,"Garden of Delights");
			title.size=32;
			title.alignment="center";		
			title.color=0xff000000;
			add(title); //adds a 100px wide text field at position 0,0 (upper left)
			var subtitle:FlxText = new FlxText(0,FlxG.height/2+40,FlxG.width,"click to start");
			subtitle.alignment="center";
			subtitle.color=0xff000000;
			subtitle.size=16;
			FlxG.level=0;
			var b:Boolean=false;
			
			
			for (i=7;i<FlxG.width;i+=30)
			{				
				b=!b;
				var a:ClosedFlower = new ClosedFlower(i,10);
				if (b)
				{
					a.play("altbop",true);										
				}	
				
				this.add(a);
			}
			
			for (var i:int=7;i<FlxG.width;i+=30)
			{				
				b=!b;
				a = new ClosedFlower(i,FlxG.height/2+70);
				if (b)
				{
					a.play("altbop",true);										
				}	
				
				this.add(a);
			}
			
			add(subtitle);
		}
		
		override public function update():void
		{
			if (FlxG.mouse.justPressed())
			{
				FlxG.state = new GameState();
			}
			super.update();
		}
	}
}